package com.ruoyi.szxc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 车辆信息对象 szxc_car_info
 * 
 * @author hs
 * @date 2024-03-15
 */
public class SzxcCarInfo extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** 主键id */
    private Long id;

    /** 车主id */
    @Excel(name = "车主id")
    private Long ownerId;

    /** 车主姓名 */
    @Excel(name = "车主姓名")
    private String ownerName;

    /** 联系方式 */
    @Excel(name = "联系方式")
    private String phone;

    /** 车牌号 */
    @Excel(name = "车牌号")
    private String carNo;

    /** 车类型 */
    @Excel(name = "车类型")
    private String carType;

    /** 颜色 */
    @Excel(name = "颜色")
    private String colour;

    /** 品牌 */
    @Excel(name = "品牌")
    private String carBand;

    /** 车辆照片 */
    @Excel(name = "车辆照片")
    private String carPicture;

    /** 部门id */
    @Excel(name = "部门id")
    private Long deptId;

    /** 所属网格 */
    @Excel(name = "所属网格")
    private String deptName;

    /** 创建者ID */
    @Excel(name = "创建者ID")
    private Long userId;

    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setOwnerId(Long ownerId) 
    {
        this.ownerId = ownerId;
    }

    public Long getOwnerId() 
    {
        return ownerId;
    }
    public void setOwnerName(String ownerName) 
    {
        this.ownerName = ownerName;
    }

    public String getOwnerName() 
    {
        return ownerName;
    }
    public void setPhone(String phone) 
    {
        this.phone = phone;
    }

    public String getPhone() 
    {
        return phone;
    }
    public void setCarNo(String carNo) 
    {
        this.carNo = carNo;
    }

    public String getCarNo() 
    {
        return carNo;
    }
    public void setCarType(String carType) 
    {
        this.carType = carType;
    }

    public String getCarType() 
    {
        return carType;
    }
    public void setColour(String colour) 
    {
        this.colour = colour;
    }

    public String getColour() 
    {
        return colour;
    }
    public void setCarBand(String carBand) 
    {
        this.carBand = carBand;
    }

    public String getCarBand() 
    {
        return carBand;
    }
    public void setCarPicture(String carPicture) 
    {
        this.carPicture = carPicture;
    }

    public String getCarPicture() 
    {
        return carPicture;
    }
    public void setDeptId(Long deptId) 
    {
        this.deptId = deptId;
    }

    public Long getDeptId() 
    {
        return deptId;
    }
    public void setDeptName(String deptName) 
    {
        this.deptName = deptName;
    }

    public String getDeptName() 
    {
        return deptName;
    }
    public void setUserId(Long userId) 
    {
        this.userId = userId;
    }

    public Long getUserId() 
    {
        return userId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("ownerId", getOwnerId())
            .append("ownerName", getOwnerName())
            .append("phone", getPhone())
            .append("carNo", getCarNo())
            .append("carType", getCarType())
            .append("colour", getColour())
            .append("carBand", getCarBand())
            .append("carPicture", getCarPicture())
            .append("createBy", getCreateBy())
            .append("createTime", getCreateTime())
            .append("updateBy", getUpdateBy())
            .append("updateTime", getUpdateTime())
            .append("deptId", getDeptId())
            .append("deptName", getDeptName())
            .append("userId", getUserId())
            .append("remark", getRemark())
            .toString();
    }
}
